curl --request POST \
--url https://api.copyleaks.com/v3/scans/my-scan-123/webhooks/resend \
--header 'Authorization: Bearer YOUR_LOGIN_TOKEN'
from copyleaks.copyleaks import Copyleaks
auth_token = Copyleaks.login("[email protected]", "YOUR_API_KEY")
Copyleaks.resend_webhook(auth_token, "my-scan-123")
{}
Authenticity
Resend Webhook
Resend webhooks for existing scans.
POST
/
v3
/
scans
/
{scanId}
/
webhooks
/
resend
curl --request POST \
--url https://api.copyleaks.com/v3/scans/my-scan-123/webhooks/resend \
--header 'Authorization: Bearer YOUR_LOGIN_TOKEN'
from copyleaks.copyleaks import Copyleaks
auth_token = Copyleaks.login("[email protected]", "YOUR_API_KEY")
Copyleaks.resend_webhook(auth_token, "my-scan-123")
{}
curl --request POST \
--url https://api.copyleaks.com/v3/scans/my-scan-123/webhooks/resend \
--header 'Authorization: Bearer YOUR_LOGIN_TOKEN'
from copyleaks.copyleaks import Copyleaks
auth_token = Copyleaks.login("[email protected]", "YOUR_API_KEY")
Copyleaks.resend_webhook(auth_token, "my-scan-123")
{}
Authentication Required. You need to login with a user and API key in order to access this method. Add this HTTP header to your request:Authorization: Bearer <Your-Login-Token>
Request
Path Parameters
string
required
The scan id of the scan you would like to resend the webhook for.
Headers
Authorization: Bearer YOUR_LOGIN_TOKEN
Responses
- 202
- 400
- 401
- 404
202 Accepted - The request accepted. The webhook will be sent shortly.
400 Bad Request - The scan is not ready yet. Therefore, cannot resend webhook.
401 Unauthorized - Authorization has been denied for this request.
404 Not Found - No such scan. Check your scanId argument.

